## ignition-common3 3.14.2

=== src/CMakeLists.txt ===
option(IGN_PROFILER_REMOTERY "Enable the Remotery profiler" TRUE)

set(
  PROFILER_SRCS
  Profiler.cc
)

set(
  PROFILER_TESTS
  Profiler_Disabled_TEST.cc
)

if(IGN_PROFILER_REMOTERY)
  set(
    Remotery_SRC
    ./Remotery/lib/Remotery.c
    ./Remotery/lib/Remotery.h
  )

  if(APPLE)
    set(
      Remotery_SRC
      ${Remotery_SRC}
      ./Remotery/lib/RemoteryMetal.mm
    )
    find_library(FOUNDATION Foundation
      HINTS /System/Library/Frameworks
    )
  endif()

  set(RMT_ENABLED 1)
  set(RMT_USE_TINYCRT 0)
  set(RMT_USE_CUDA 0)
  set(RMT_USE_D3D11 0)
  set(RMT_USE_OPENGL 0)
  set(RMT_USE_METAL 0)

  if(UNIX OR WIN32)
    set(RMT_USE_OPENGL 1)
  endif()

  if(WIN32)
    set(RMT_USE_D3D11 1)
  endif()

  if(APPLE)
    set (RMT_USE_METAL 1)
  endif()

  configure_file(RemoteryConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/RemoteryConfig.h)

  list(APPEND PROFILER_SRCS ${Remotery_SRC} RemoteryProfilerImpl.cc)
  list(APPEND PROFILER_TESTS Profiler_Remotery_TEST.cc)
endif()

ign_add_component(profiler SOURCES ${PROFILER_SRCS} GET_TARGET_NAME profiler_target)

# Always enable profiler so that it's built, but make it
# private so that downstream users can still disable profiling
target_compile_definitions(${profiler_target} PRIVATE "IGN_PROFILER_ENABLE=1")
target_compile_definitions(${profiler_target} PRIVATE "RMT_USE_METAL=${RMT_USE_METAL}")

if(IGN_PROFILER_REMOTERY)
  target_compile_definitions(${profiler_target} PRIVATE "IGN_PROFILER_REMOTERY=1")

  target_include_directories(
    ${profiler_target}
    PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/Remotery/lib>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  )

  if (UNIX)
    target_link_libraries(${profiler_target} PUBLIC pthread)
  endif()

  if(APPLE)
    target_link_libraries(${profiler_target} PUBLIC ${FOUNDATION})
  endif()
endif()

ign_build_tests(TYPE UNIT SOURCES ${PROFILER_TESTS}
  LIB_DEPS ${profiler_target}
  TEST_LIST profiler_tests)

if(TARGET UNIT_Profiler_Remotery_TEST)
  target_compile_definitions(UNIT_Profiler_Remotery_TEST
    PUBLIC "IGN_PROFILER_ENABLE=1")
endif()

if(IGN_PROFILER_REMOTERY)
  set(IGN_PROFILER_VIS_PATH ${IGN_DATA_INSTALL_DIR}/profiler_vis)

  configure_file(Remotery/ign_remotery_vis.in
    ${CMAKE_CURRENT_BINARY_DIR}/ign_remotery_vis)

  install(PROGRAMS
    ${CMAKE_CURRENT_BINARY_DIR}/ign_remotery_vis
    DESTINATION bin)

  install(DIRECTORY Remotery/vis/
          DESTINATION ${IGN_DATA_INSTALL_DIR}/profiler_vis)
endif()

=== debian/changelog ===
ignition-common3 (3.14.2-1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64
  * http://packages.ros.org/ros2/ubuntu/pool/main/i/ignition-common3/
  * Many tests begin with segfault, but behave normal when separately run.
  * Disable the test temporaly.

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Fri, 24 May 2024 13:34:38 +0800

ignition-common3 (3.14.2-1~focal) focal; urgency=medium

  * ignition-common3 3.14.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 15:46:32 -0700

ignition-common3 (3.14.1-1~focal) focal; urgency=medium

  * ignition-common3 3.14.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 02 Jun 2022 13:41:00 -0700

ignition-common3 (3.14.0-1~focal) focal; urgency=medium

  * ignition-common3 3.14.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Oct 2021 16:27:12 -0500

ignition-common3 (3.13.2-2~focal) focal; urgency=medium

  * ignition-common3 3.13.2-2 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 09 Jun 2021 14:29:10 -0700

ignition-common3 (3.13.2-1~focal) focal; urgency=medium

  * ignition-common3 3.13.2-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 11 May 2021 12:12:48 -0500

ignition-common3 (3.13.1-1~focal) focal; urgency=medium

  * ignition-common3 3.13.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Mon, 03 May 2021 13:41:23 -0800

ignition-common3 (3.13.0-1~focal) focal; urgency=medium

  * ignition-common3 3.13.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Thu, 29 Apr 2021 08:36:35 -0500

ignition-common3 (3.12.0-1~focal) focal; urgency=medium

  * ignition-common3 3.12.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 06 Apr 2021 14:51:46 -0500

ignition-common3 (3.11.1-1~focal) focal; urgency=medium

  * ignition-common3 3.11.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 08 Mar 2021 18:54:17 -0800

ignition-common3 (3.11.0-1~focal) focal; urgency=medium

  * ignition-common3 3.11.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 08 Mar 2021 10:43:11 -0800

ignition-common3 (3.10.1-1~focal) focal; urgency=medium

  * ignition-common3 3.10.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 20 Jan 2021 13:29:03 -0800

ignition-common3 (3.10.0-1~focal) focal; urgency=medium

  * ignition-common3 3.10.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 05 Jan 2021 13:57:43 -0800

ignition-common3 (3.9.0-1~focal) focal; urgency=medium

  * ignition-common3 3.9.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 21 Dec 2020 16:58:42 -0800

ignition-common3 (3.8.0-1~focal) focal; urgency=medium

  * ignition-common3 3.8.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Thu, 17 Dec 2020 10:00:36 -0600

ignition-common3 (3.7.0-1~focal) focal; urgency=medium

  * ignition-common3 3.7.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Thu, 22 Oct 2020 12:25:40 -0500

ignition-common3 (3.6.1-1~focal) focal; urgency=medium

  * ignition-common3 3.6.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 16 Sep 2020 14:42:38 -0700

ignition-common3 (3.6.0-1~focal) focal; urgency=medium

  * ignition-common3 3.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 10 Jun 2020 11:32:57 -0700

ignition-common3 (3.5.0-1~focal) focal; urgency=medium

  * ignition-common3 3.5.0-1 release

 -- Ian Chen <ichen@osrfoundation.org>  Thu, 09 Apr 2020 16:13:13 -0700

ignition-common3 (3.4.0-1~focal) focal; urgency=medium

  * ignition-common3 3.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 21 Feb 2020 10:09:22 -0800

=== debian/control ===
Source: ignition-common3
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               doxygen,
               libfreeimage-dev,
               libignition-cmake-dev (>= 2.14.0),
               libignition-math-dev,
               libtinyxml2-dev,
               uuid-dev,
               libgts-dev,
               libavdevice-dev,
               libavformat-dev,
               libavcodec-dev,
               libswscale-dev,
               libavutil-dev
Vcs-Browser: https://github.com/gazebosim/gz-common
Vcs-Git: https://github.com/gazebosim/gz-common
Homepage: http://gazebosim.org/

Package: libignition-common3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Common classes and functions for robot apps - Shared library
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Main shared library

Package: libignition-common3-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.14.0),
         uuid-dev,
         libignition-common3 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Gazebo Common classes and functions (core) - Development files
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core development files

Package: libignition-common3-dev
Architecture: any
Section: libdevel
Depends: libignition-common3-core-dev (= ${binary:Version}),
         libignition-common3-av-dev (= ${binary:Version}),
         libignition-common3-events-dev (= ${binary:Version}),
         libignition-common3-graphics-dev (= ${binary:Version}),
         libignition-common3-profiler-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Common classes and functions for robot apps - Metapackage
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Metapackage for development

Package: libignition-common3-av
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Gazebo Common classes and functions (AV) - Shared library
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 AV component of the library

Package: libignition-common3-av-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.14.0),
         libignition-common3-core-dev (= ${binary:Version}),
         libavdevice-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libavutil-dev,
         libignition-common3-av (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Gazebo Common classes and functions (AV) - Development files
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 AV component of the library, development files

Package: libignition-common3-events
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Gazebo Common classes and functions (Events) - Shared library
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Events component of the library

Package: libignition-common3-events-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.14.0),
         libignition-common3-core-dev (= ${binary:Version}),
         libignition-math-dev,
         libignition-common3-events (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Gazebo Common classes and functions (Events) - Development files
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Events component of the library, development files

Package: libignition-common3-graphics
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Gazebo Common classes and functions (Graphics) - Shared library
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Graphics component of the library

Package: libignition-common3-graphics-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.14.0),
         libignition-common3-core-dev (= ${binary:Version}),
         libignition-math-dev,
         libtinyxml2-dev,
         libgts-dev,
         libignition-common3-graphics (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Gazebo Common classes and functions (Graphics) - Development files
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Graphics component of the library, development files

Package: libignition-common3-profiler
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Gazebo Common classes and functions (Profiler) - Shared library
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Profiler component of the library

Package: libignition-common3-profiler-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.14.0),
         libignition-common3-core-dev (= ${binary:Version}),
         libignition-common3-profiler (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Gazebo Common classes and functions (profiler) - Development files
 Gazebo Common is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 profiler component of the library, development files

Package: libgz-common3
Depends: libignition-common3, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-core-dev
Depends: libignition-common3-core-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-dev
Depends: libignition-common3-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-av
Depends: libignition-common3-av, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-av-dev
Depends: libignition-common3-av-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-events
Depends: libignition-common3-events, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-events-dev
Depends: libignition-common3-events-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-graphics
Depends: libignition-common3-graphics, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-graphics-dev
Depends: libignition-common3-graphics-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-profiler
Depends: libignition-common3-profiler, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-common3-profiler-dev
Depends: libignition-common3-profiler-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DUSE_HOST_SSE_FLAGS:BOOL=False

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-common3-core-dev/usr/include/ignition/common*/ignition/common/av.hh
	$(RM) debian/libignition-common3-core-dev/usr/include/ignition/common*/ignition/common/events.hh
	$(RM) debian/libignition-common3-core-dev/usr/include/ignition/common*/ignition/common/graphics.hh
	dh_missing --list-missing

# test cannot run in parallel
override_dh_auto_test:
	# It is weried that many tests start with segment fault.
	# But running them by hand will not throw fault.
	# Disable the test sequence.
	# dh_auto_test --max-parallel=1

## ignition-common3 3.14.2-1~focal

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-common3 VERSION 3.14.2)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.14.0 REQUIRED COMPONENTS utilities)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

#============================================================================
# Set project-specific options
#============================================================================
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

#--------------------------------------
# Option: Should Windows test symlinking?
if(WIN32)
  option(
    IGN_BUILD_SYMLINK_TESTS_ON_WINDOWS
    "Creating symlinks requires special permissions on Windows, so those tests are disabled by default"
    false)
endif()

#--------------------------------------
# Option: Should we use our internal copy of tinyxml2?
if(UNIX OR APPLE)
  option(USE_EXTERNAL_TINYXML2 "Use a system-installed version of tinyxml2" ON)
elseif(WIN32)
  # For backward compatibility, this option on Windows by default is OFF
  option(USE_EXTERNAL_TINYXML2 "Use a system-installed version of tinyxml2" OFF)
endif()


#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED_BY graphics events)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find Tinyxml2
if(USE_EXTERNAL_TINYXML2)
  ign_find_package(TINYXML2 PRETTY tinyxml2
    REQUIRED_BY graphics
    PRIVATE_FOR graphics)
else()
  message(STATUS "Skipping search for tinyxml2 and using an internal version\n")
endif()

#--------------------------------------
# Find libdl
ign_find_package(
  DL REQUIRED PRIVATE PRETTY libdl PURPOSE "Required for plugins")

#--------------------------------------
# Find dependencies that we ignore for Visual Studio
if(NOT MSVC)

  #------------------------------------
  # Find uuid
  ign_find_package(UUID REQUIRED PRETTY uuid)

endif()

#------------------------------------
# Find Freeimage
ign_find_package(FreeImage VERSION 3.9
  REQUIRED_BY graphics
  PRIVATE_FOR graphics)

#------------------------------------
# Find GNU Triangulation Surface Library
ign_find_package(
  GTS PRETTY gts PURPOSE "GNU Triangulation Surface library"
  REQUIRED_BY graphics
  PRIVATE_FOR graphics)

#------------------------------------
# Find libswscale
ign_find_package(SWSCALE REQUIRED_BY av PRETTY libswscale)

#------------------------------------
# Find avdevice
ign_find_package(AVDEVICE VERSION 56.4.100 REQUIRED_BY av PRETTY libavdevice)

#------------------------------------
# Find avformat
ign_find_package(AVFORMAT REQUIRED_BY av PRETTY libavformat)

#------------------------------------
# Find avcodec
ign_find_package(AVCODEC REQUIRED_BY av PRETTY libavcodec)

#------------------------------------
# Find avutil
ign_find_package(AVUTIL REQUIRED_BY av PRETTY libavutil)


message(STATUS "-------------------------------------------\n")


#============================================================================
# Configure the build
#============================================================================
configure_file("${PROJECT_SOURCE_DIR}/cppcheck.suppress.in"
               ${PROJECT_BINARY_DIR}/cppcheck.suppress)

ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS av events graphics profiler)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()


#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
  )

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                debhelper (>= 9),
                doxygen,
                libfreeimage-dev,
-               libignition-cmake-dev (>= 2.14.0),
-               libignition-math-dev,
+               libignition-cmake2-dev (>= 2.14.0),
+               libignition-math6-dev,
                libtinyxml2-dev,
                uuid-dev,
                libgts-dev,
@@ -37,7 +37,7 @@
 Package: libignition-common3-core-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev (>= 2.14.0),
+Depends: libignition-cmake2-dev (>= 2.14.0),
          uuid-dev,
          libignition-common3 (= ${binary:Version}),
          ${misc:Depends}
@@ -83,7 +83,7 @@
 Package: libignition-common3-av-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev (>= 2.14.0),
+Depends: libignition-cmake2-dev (>= 2.14.0),
          libignition-common3-core-dev (= ${binary:Version}),
          libavdevice-dev,
          libavformat-dev,
@@ -118,9 +118,9 @@
 Package: libignition-common3-events-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev (>= 2.14.0),
-         libignition-common3-core-dev (= ${binary:Version}),
-         libignition-math-dev,
+Depends: libignition-cmake2-dev (>= 2.14.0),
+         libignition-common3-core-dev (= ${binary:Version}),
+         libignition-math6-dev,
          libignition-common3-events (= ${binary:Version}),
          ${misc:Depends}
 Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
@@ -149,9 +149,9 @@
 Package: libignition-common3-graphics-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev (>= 2.14.0),
-         libignition-common3-core-dev (= ${binary:Version}),
-         libignition-math-dev,
+Depends: libignition-cmake2-dev (>= 2.14.0),
+         libignition-common3-core-dev (= ${binary:Version}),
+         libignition-math6-dev,
          libtinyxml2-dev,
          libgts-dev,
          libignition-common3-graphics (= ${binary:Version}),
@@ -182,7 +182,7 @@
 Package: libignition-common3-profiler-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev (>= 2.14.0),
+Depends: libignition-cmake2-dev (>= 2.14.0),
          libignition-common3-core-dev (= ${binary:Version}),
          libignition-common3-profiler (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
-		-DUSE_HOST_SSE_FLAGS:BOOL=False
+	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 override_dh_install:
 	dh_install --
@@ -27,7 +26,4 @@
 
 # test cannot run in parallel
 override_dh_auto_test:
-	# It is weried that many tests start with segment fault.
-	# But running them by hand will not throw fault.
-	# Disable the test sequence.
-	# dh_auto_test --max-parallel=1
+	dh_auto_test --max-parallel=1
